Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ttsolver.model
Class CrossListedLecture

    java.lang.Object
      ttsolver.model.CrossListedLecture

    public class CrossListedLecture

extends Object

Cross-listed lectures of a lecture.
This is used only when the model is loaded directly from the database. One class can have several identifications there.

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`CrossListedLecture(String subject, String courseNbr, String iType, int section)` Constructor
`CrossListedLecture(String subject, String courseNbr, String iType, int section, String name)` Constructor

Method Summary
`void` | `addStudent(String student)` Add student enrollment
`boolean` | `equals(Object o)`
`String` | `getCourseNbr()` Course number
`String` | `getIType()` Instructional type
`Lecture` | `getLecture()` Parent lecture
`String` | `getName()` Name
`int` | `getSection()` Section
`String` | `getSubject()` Subject
`boolean` | `hasStudent(String student)` Has given student enrollment
`void` | `setLecture(Lecture lecture)` Parent lecture
`Vector` | `students()` List of enrolled students

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrossListedLecture

    public CrossListedLecture(String subject,
                              String courseNbr,
                              String iType,
                              int section)

  Constructor

  Parameters:
    `subject` - subject
    `courseNbr` - course number
    `iType` - instructional type
    `section` - section

### CrossListedLecture

    public CrossListedLecture(String subject,
                              String courseNbr,
                              String iType,
                              int section,
                              String name)

  Constructor

  Parameters:
    `subject` - subject
    `courseNbr` - course number
    `iType` - instructional type
    `section` - section
    `name` - (string representation of this class)

Method Detail

### getSubject

    public String getSubject()

  Subject

### getCourseNbr

    public String getCourseNbr()

  Course number

### getIType

    public String getIType()

  Instructional type

### getSection

    public int getSection()

  Section

### getName

    public String getName()

  Name

### getLecture

    public Lecture getLecture()

  Parent lecture

### setLecture

    public void setLecture(Lecture lecture)

  Parent lecture

### students

    public Vector students()

  List of enrolled students

### addStudent

    public void addStudent(String student)

  Add student enrollment

### hasStudent

    public boolean hasStudent(String student)

  Has given student enrollment

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller